getnextevent: ;Gets the next keyboard event
		call SafeDelay
		call GetByte
		jr nz,getnextevent
		ld h,0 ; Reset H for future one-byte key
		cp $F0
		jr z,keyup ; If byte is $F0 then the event is a "key up"
		cp $E0
		jr c,onebytekey ; If byte < $E0 then it's not a special key
twobytekey:
		push af ; Save first byte
		call SafeDelay
		call GetByte ; Get a new one
		jr nz,poperror
		cp $F0
		jr z,spkeyup ; If the new byte is $F0, then it's a special "key up"
		pop hl ; old byte->H
		ld l,a ; new byte->L
		xor a ; LD A,0 A is the "key up" flag. Reset it.
		ret
onebytekey:
		ld l,a ; HL becomes A (H was reset a long time ago)
		xor a ; LD A,0 Reset "key up" flag
		ret
spkeyup:
		pop hl ; H = first byte
keyup:
		call SafeDelay
		call GetByte ; Get the second byte
		jr nz,nodevice
		ld l,a ; L = second byte
		ld a,1 ; Set "key up" flag
		ret
